{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
    <div class="row">
        <div class="col col-md-6 mx-auto">
            <h1>Please Register</h1>

            <form method="post">

                {% if app.user %}
                    <div class="mb-3">
                        You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
                    </div>
                {% else %}


                    {{ form_start(form) }}
                    {{ form_widget(form) }}
                    <button class="btn btn-primary btn-lg">{{ button_label|default('Register') }}</button>
                    {{ form_end(form) }}


                {% endif %}

                {#
                Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
                See https://symfony.com/doc/current/security/remember_me.html

                <div class="checkbox mb-3">
                    <label>
                        <input type="checkbox" name="_remember_me"> Remember me
                    </label>
                </div>
                #}

                <!-- <button class="btn btn&#45;lg btn&#45;primary" type="submit"> -->
                <!--     Sign in -->
                <!-- </button> -->
            </form>
        </div>
    </div>
{% endblock %}
